# How to add on-click listener to the badge?

If you need to capture an onclick event, when your end-users click on the WProofreader badge button, you can do the following:

```javascript
var buttons = document.querySelectorAll('.wsc-badge__button');

buttons.forEach(function(button) {
    button.addEventListener('click', function(e) {
        // Do what you want here on badge button click event.
    });
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/v6.12.0/integrations/how-tos/how-to-add-on-click-listener-to-the-badge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
